package io.scanbot.sdk.flutter.camera.config

import androidx.annotation.Keep

@Keep
class MedicalCertificateScannerConfiguration {

    /// Recognition of Patient Information block. [true] if enabled
    var recognizePatientInfo: Boolean? = null

    ///Reading data from barcode, if it's present on document, could make data recognition more accurate. [true] if enabled.
    var recognizeBarcode: Boolean? = null

    ///Make high-res snapshot of the image after first successfull medical certificate detection and recognise medical certificate fields on it
    var captureHighResolutionImage: Boolean? = null

}

