//
//  SBSDKUICroppingScreenConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUICroppingScreenConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConfiguration = SBSDKUICroppingScreenUIConfiguration(from: dictionary)
        let textConfiguration = SBSDKUICroppingScreenTextConfiguration(from: dictionary)
        let behaviorConfiguration = SBSDKUICroppingScreenBehaviorConfiguration(from: dictionary)

        self.init(uiConfiguration: uiConfiguration,
                  textConfiguration: textConfiguration,
                  behaviorConfiguration: behaviorConfiguration)
    }
}
